
Foreman - Bug #297

NULL values in operatingsystem.minor break helper function in lib/family.rb

06/02/2010 03:38 AM - Frank Sweetser

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: DB migrations   

Target version: 0.1-5   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If operatingsystem.minor is null, the helper functions that run gsub on it in lib/family.rb die.  Simple migration patch that changes the

column definition to match major attached.

Associated revisions

Revision 51252890 - 06/02/2010 08:34 AM - Frank Sweetser

fixes #297 - Prevent operatingsystem.minor from storing NULLs

History

#1 - 06/02/2010 03:58 AM - Ohad Levy

- Target version set to 0.1-5

this breaks the fact importer (rake test), I'll investigate further

SQLite3::SQLException: operatingsystems.minor may not be NULL: INSERT INTO "operatingsystems" ("name", "family

_id", "created_at", "updated_at", "nameindicator", "major", "release_name", "minor") VALUES('RedHat', NULL, '2

010-06-02 02:49:08', '2010-06-02 02:49:08', NULL, '4', NULL, NULL)

#2 - 06/02/2010 04:16 AM - Ohad Levy

- Status changed from New to Assigned

- Assignee set to Ohad Levy

#3 - 06/02/2010 08:43 AM - Frank Sweetser

- Status changed from Assigned to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 51252890503840cffcbd82cd82dabc1a61c353d2.

#4 - 06/02/2010 02:01 PM - Ohad Levy

- Status changed from Ready For Testing to Closed

Files

0001-Prevent-operatingsystem.minor-from-storing-NULLs.patch 904 Bytes 06/02/2010 Frank Sweetser
